# Uses of Class
org.apache.sysds.runtime.controlprogram.federated.FederatedData

Packages that use FederatedData
Package
Description
org.apache.sysds.hops.fedplanner
org.apache.sysds.runtime.controlprogram.federated
org.apache.sysds.runtime.instructions.fed
org.apache.sysds.runtime.io

## Uses of FederatedData in org.apache.sysds.hops.fedplanner

Method parameters in org.apache.sysds.hops.fedplanner with type arguments of type FederatedData
Modifier and Type
Method
Description
`static void`
FederatedPlanRewireTransTable.`rewireFunctionDynamic(FunctionStatementBlock function, Map<Long,List<Hop>> rewireTable, Map<Long,FederatedMemoTable.HopCommon> hopCommonTable, Map<Long,FTypes.Privacy> privacyConstraintMap, Map<Long,FTypes.FType> fTypeMap, List<org.apache.commons.lang3.tuple.Pair<FederatedRange,FederatedData>> fedMap, Set<Long> unRefTwriteSet, Set<Long> unRefSet, Set<Hop> progRootHopSet)`
`static void`
FederatedPlanRewireTransTable.`rewireProgram(DMLProgram prog, Map<Long,List<Hop>> rewireTable, Map<Long,FederatedMemoTable.HopCommon> hopCommonTable, Map<Long,FTypes.Privacy> privacyConstraintMap, Map<Long,FTypes.FType> fTypeMap, List<org.apache.commons.lang3.tuple.Pair<FederatedRange,FederatedData>> fedMap, Set<Long> unRefTwriteSet, Set<Long> unRefSet, Set<Hop> progRootHopSet)`

## Uses of FederatedData in org.apache.sysds.runtime.controlprogram.federated

Subclasses of FederatedData in org.apache.sysds.runtime.controlprogram.federated
Modifier and Type
Class
Description
`class`
`FederatedLocalData`
Methods in org.apache.sysds.runtime.controlprogram.federated that return FederatedData
Modifier and Type
Method
Description
`FederatedData`
FederatedData.`copyWithNewID(long varID)`
Make a copy of the `FederatedData` metadata, but use another varID (refer to another object on worker)
`FederatedData`
FederatedLocalData.`copyWithNewID(long varID)`
`FederatedData[]`
FederationMap.`getFederatedData()`
Methods in org.apache.sysds.runtime.controlprogram.federated that return types with arguments of type FederatedData
Modifier and Type
Method
Description
`List<org.apache.commons.lang3.tuple.Pair<FederatedRange,FederatedData>>`
FederationMap.`getMap()`
Method parameters in org.apache.sysds.runtime.controlprogram.federated with type arguments of type FederatedData
Modifier and Type
Method
Description
`void`
FederationMap.`forEachParallel(BiFunction<FederatedRange,FederatedData,Void> forEachFunction)`
Execute a function for each `FederatedRange` + `FederatedData` pair.
`FederationMap`
FederationMap.`mapParallel(long newVarID, BiFunction<FederatedRange,FederatedData,Void> mappingFunction)`
Execute a function for each `FederatedRange` + `FederatedData` pair mapping the pairs to their new form by directly changing both `FederatedRange` and `FederatedData`.
Constructor parameters in org.apache.sysds.runtime.controlprogram.federated with type arguments of type FederatedData
Modifier
Constructor
Description
``
`FederationMap(long ID, List<org.apache.commons.lang3.tuple.Pair<FederatedRange,FederatedData>> fedMap)`
``
`FederationMap(long ID, List<org.apache.commons.lang3.tuple.Pair<FederatedRange,FederatedData>> fedMap, FTypes.FType type)`
``
`FederationMap(List<org.apache.commons.lang3.tuple.Pair<FederatedRange,FederatedData>> fedMap)`

## Uses of FederatedData in org.apache.sysds.runtime.instructions.fed

Method parameters in org.apache.sysds.runtime.instructions.fed with type arguments of type FederatedData
Modifier and Type
Method
Description
`static void`
InitFEDInstruction.`federateFrame(FrameObject output, List<org.apache.commons.lang3.tuple.Pair<FederatedRange,FederatedData>> workers)`
`static void`
InitFEDInstruction.`federateFrame(FrameObject output, List<org.apache.commons.lang3.tuple.Pair<FederatedRange,FederatedData>> workers, CacheBlock<?>[] blocks)`
`static void`
InitFEDInstruction.`federateMatrix(CacheableData<?> output, List<org.apache.commons.lang3.tuple.Pair<FederatedRange,FederatedData>> workers)`
`static void`
InitFEDInstruction.`federateMatrix(CacheableData<?> output, List<org.apache.commons.lang3.tuple.Pair<FederatedRange,FederatedData>> workers, CacheBlock<?>[] blocks)`
`org.apache.commons.lang3.tuple.Pair<FederationMap,Long>`
ReorgFEDInstruction.`rollFedMap(List<org.apache.commons.lang3.tuple.Pair<FederatedRange,FederatedData>> oldMap, long inID, long outEndID, long outStartID, long shift, long rlen, FTypes.FType type)`

## Uses of FederatedData in org.apache.sysds.runtime.io

Methods in org.apache.sysds.runtime.io that return types with arguments of type FederatedData
Modifier and Type
Method
Description
`static List<org.apache.commons.lang3.tuple.Pair<FederatedRange,FederatedData>>`
ReaderWriterFederated.`read(String file, DataCharacteristics mc)`
Read a federated map from disk, It is not initialized before it is used in: org.apache.sysds.runtime.instructions.fed.InitFEDInstruction